{% extends "blog/base.html" %}
{% block content %}
     <div class="row mt-4">  
        {% for movie in movies %}
            <article class="media content-section col-sm">
                <div class="media-body">
                    <div>
                        <img class="rounded-circle article-img" src="{{ movie.submitted_by.profile.image.url }}">
                        <a href="{% url 'user-movies' movie.submitted_by.username %}">Submitted by :  {{ movie.submitted_by }}</a>
                    </div>
                  <div class="card" style="width: 18rem;">
                        <div>
                           <iframe width="100%" height="100%" src="https://www.youtube.com/embed/qDwdMDQ8oX4" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                        </div>
                        <div class="card-body">
                            <h4><a class="article-title" href="{% url 'movie-detail' movie.id %}"> Movie: {{ movie.title }} </a></h4>
                            <h6>By {{ movie.director }} released On {{ movie.created_post_date }} </h6>
                            <p>Genere :  {{ movie.genre }}</p>
                        </div>
                    </div>
                </div>
              </article>
        {% endfor %}
    </div>
    <div>
            {% if is_paginated %}
            {% if page_obj.has_previous %}
              <a class="btn btn-outline-info mb-4" href="?page=1">First</a>
              <a class="btn btn-outline-info mb-4" href="?page={{page_obj.previous_page_number}}">Previous</a>
            {% endif %}

            {% for num in page_obj.paginator.page_range  %}
              {% if page_obj.number == num %}
                  <a class="btn btn-info mb-4" href="?page={{num}}">{{ num }}</a>
              {% elif num > page_obj.number|add:"-3" and  num < page_obj.number|add:"3" %}
                  <a class="btn btn-outline-info mb-4" href="?page={{num}}">{{ num }}</a>
              {% endif %}
            {% endfor %}

            {% if page_obj.has_next %}
              <a class="btn btn-outline-info mb-4" href="?page={{ page_obj.next_page_number }}">Next</a>
              <a class="btn btn-outline-info mb-4" href="?page={{page_obj.paginator.num_pages}}">Last</a>
            {% endif %}

      {% endif %}
    </div>
{% endblock content %}
